/* Display Property */


.div-1{
    background-color: green;
    width: 60%;
    display: inline;
}

#span-1{
    background-color: purple;
    display: block;
    width: 200px;
    height: 200px;
}

#span-2{
    background-color: red;
    display: block;
    height: 50px;
}

#div-2{
    display: none;
}

#img{
    width: 250px;
    height: 250px;
}

#p-1{
    background-color: #87CEFA;
}

#p-2{
    background-color: rgb(255, 105, 180);
    width: 60%;
}

#p-3{
    width: 40%;
    background-color: yellow;
}

.sample{
    display: inline-block;
    width: 30%;
    background-color: darkcyan;
    border: solid;
    border-color: black;
    justify-content: space-between;
    text-align: center;
    color: #fff;
    height: 50px;
 
}


/* float property. makes an element 
display inline at the desired horizontal direction*/
.img-float{
    width: 50px;
    height: 50px;
    float: right;
}

.box{
    background-color: red;
    border: 1px solid black;
}

.fifty-percent{
    width: 50%;
}

.one-hundred-pixels{
    width: 200px;
}
/* px-pixels relative units: % vh vw rem em */

.fifty-vw{
    width: 50vw;
}

.fifty-vh{
    height: 50vh;
}

.parent{
    width: 135px;
    border: 2px solid navy;
    font-size: 32px;
}

.one-rem{
    font-size: 1rem;
    
}

.one-rem{
    font-size: 1em;
}
/* rem font size primarily adopts the universal declared font-size regardless of the 
container/parents font size styling adopts 16px per 1rem by default */
.two-rem{
    font-size: 2rem;
}

/* em font size primarily adopts the property of its container/parent 
change if container font size is 50px the 2em is equivalent to 100px */
.two-em{
    font-size: 2em;
}

.mylist{
    font-size: 8px;
}

.mylist li{
    font-size: 3em;
}

#CSS-background-property{
    min-height: 100vh;
    background-color: gray;
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.bg-title{
    color: white;
    font-size: 5em;
    text-align: center;
    margin: 0;
    line-height: 30rem;
}

.container-bg{
    min-height: 100vh;
    background-color: rgba(0,0,0,.70);
}


/* CSS Positioning */

.parent-element{
    background-color: skyblue;
    padding: 10px;
    min-height: 200vh;
}

.child-one{
    background-color: gray;
    padding: 10px;
}

.child-two{
    background-color: yellow;
    padding: 10px;
    top: 10px;
    right: 50px;
    /* sticky position - once an element with this position is displayed and got passed by
    scrolling up or down, left or right it will still be visible in the view of the web visitor */
    position: sticky;
}

.child-three{

    background-color: aquamarine;
    padding: 10px;
}


.box-Container {
    position: relative;
}

.black-box{
    position: relative;
    border: 2px solid black;
    background-color: black;
    height: 100px;
    width: 300px;
}

.gray-box{
    position: absolute;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
    z-index: -1;
}

.red-box{
    position: absolute;
    background-color: maroon;
    height: 60px;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
    z-index: 1;
}